Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 803467 - www-client/chromium-91.0.4472.164: skia fails to build with freetype-2.11.0
Summary: www-client/chromium-91.0.4472.164: skia fails to build with freetype-2.11.0
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Chromium Project
URL:
Whiteboard:
Keywords:
: 804219 (view as bug list)
Depends on:
Blocks:
 
Reported: 2021-07-23 05:51 UTC by Alexander Sergeyev
Modified: 2021-08-27 16:02 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build log (build.log.bz2,181.43 KB, application/x-bzip2)
2021-07-23 05:53 UTC, Alexander Sergeyev
Details
build.log.xz (build.log.xz,171.40 KB, application/x-xz)
2021-07-26 21:50 UTC, Dennis Schridde
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Sergeyev 2021-07-23 05:51:19 UTC
The build failure log includes error messages like:

../../third_party/skia/src/ports/SkFontHost_FreeType_common.cpp: In function 'void {anonymous}::colrv1_draw_paint(SkCanvas*, const FT_Color*, FT_Face, FT_COLR_Paint)':
../../third_party/skia/src/ports/SkFontHost_FreeType_common.cpp:668:14: error: 'FT_COLR_PAINTFORMAT_TRANSFORMED' was not declared in this scope; did you mean 'FT_COLR_PAINTFORMAT_TRANSFORM'?
  668 |         case FT_COLR_PAINTFORMAT_TRANSFORMED: {
      |              ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
      |              FT_COLR_PAINTFORMAT_TRANSFORM

Looks like this breakage comes from freetype-2.11.0: https://github.com/freetype/freetype/commit/4cb21b9a929a8cf1fa06e2297886da7030eb16e5

Reproducible: Always

Steps to Reproduce:
1. Build and install freetype-2.11.0
2. Build www-client/chromium-91.0.4472.164
Actual Results:  
Chromium fails to build.

Expected Results:  
Chromium shouldn't fail to build.

Portage 3.0.20 (python 3.9.6-final-0, default/linux/amd64/17.1/no-multilib, gcc-10.3.0, glibc-2.33-r3, 5.12.15-gentoo x86_64)
=================================================================
System uname: Linux-5.12.15-gentoo-x86_64-with-glibc2.33
KiB Mem:    32752740 total,  11798984 free
KiB Swap:          0 total,         0 free
sh bash 5.1_p8
ld GNU ld (Gentoo 2.36.1 p3) 2.36.1
app-shells/bash:          5.1_p8::gentoo
dev-lang/perl:            5.34.0-r1::gentoo
dev-lang/python:          2.7.18_p11::gentoo, 3.9.6::gentoo
dev-lang/rust:            1.53.0::gentoo
dev-util/cmake:           3.21.0::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.7-r3::gentoo
sys-apps/openrc:          0.42.1-r1::gentoo
sys-apps/sandbox:         2.24::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.15.1-r2::gentoo, 1.16.3-r1::gentoo
sys-devel/binutils:       2.36.1-r1::gentoo
sys-devel/gcc:            10.3.0-r2::gentoo, 11.1.0-r2::gentoo
sys-devel/gcc-config:     2.4::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.12::gentoo (virtual/os-headers)
sys-libs/glibc:           2.33-r3::gentoo
Repositories:

gentoo
    location: /usr/portage

local
    location: /usr/local/portage
    sync-umask: 022
    masters: gentoo

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="@FREE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native -m64 -ggdb2"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -march=native -m64 -ggdb2"
DISTDIR="/var/cache/portage-distfiles"
EMERGE_DEFAULT_OPTS="--nospinner --backtrack=4000 --verbose-conflicts --tree --unordered-display --changed-deps-report --with-bdeps=y"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs binpkg-multi-instance cgroup collision-protect config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms splitdebug strict suidctl unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="https://mirror.yandex.ru/gentoo-distfiles/"
INSTALL_MASK="/usr/lib64/firefox/gmp-clearkey /etc/systemd /usr/lib/systemd /usr/share/man/!(man*) /etc/cups"
LANG="en_US.UTF-8"
LC_ALL=""
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS=""
MAKEOPTS="-j5"
PKGDIR="/var/lib/portage-packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_TMPDIR="/var/tmp"
RUSTFLAGS="-C target-cpu=native -C debuginfo=1"
USE="amd64 libglvnd split-usr" ABI_X86="64" CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext pclmul popcnt rdrand sse sse2 sse3 sse4_1 sse4_2 ssse3" CURL_SSL="openssl" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse synaptics" KERNEL="linux" LLVM_TARGETS="X86" LUA_SINGLE_TARGET="luajit" PYTHON_SINGLE_TARGET="python3_9" PYTHON_TARGETS="python3_9" USERLAND="GNU" VIDEO_CARDS="intel"
Unset:  CC, CPPFLAGS, CTARGET, CXX, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Alexander Sergeyev 2021-07-23 05:53:04 UTC
Created attachment 725953 [details]
build log
Comment 2 Timo Ollech 2021-07-23 08:40:39 UTC
same here

Portage 3.0.20 (python 3.9.5-final-0, default/linux/amd64/17.1/desktop, gcc-10.3.0, glibc-2.33-r1, 5.10.49-gentoo-r1 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-5.10.49-gentoo-r1-x86_64-Intel-R-_Core-TM-_i5-3230M_CPU_@_2.60GHz-with-glibc2.33
KiB Mem:     7845124 total,    515032 free
KiB Swap:   20971516 total,  17558524 free
Timestamp of repository gentoo: Thu, 22 Jul 2021 08:45:01 +0000
Head commit of repository gentoo: 5377ee7e23be5bac34d00c96ef8388f46c01a366
Head commit of repository tlp: ced908095a1bafc1af3583efc4a24b39e2ab8c12

Timestamp of repository poly-c: Thu, 22 Jul 2021 07:13:18 +0000
sh bash 5.1_p8
ld GNU ld (Gentoo 2.35.2 p1) 2.35.2
ccache version 4.3 [disabled]
app-shells/bash:          5.1_p8::gentoo
dev-java/java-config:     2.3.1::gentoo
dev-lang/perl:            5.32.1::gentoo
dev-lang/python:          2.7.18_p10::gentoo, 3.6.13_p1::gentoo, 3.7.10_p1::gentoo, 3.8.10_p2::gentoo, 3.9.5_p2::gentoo
dev-lang/rust:            1.52.1::gentoo
dev-util/ccache:          4.3::gentoo
dev-util/cmake:           3.18.5::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.7::gentoo
sys-apps/openrc:          0.42.1-r1::gentoo
sys-apps/sandbox:         2.24::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.13.4-r2::gentoo, 1.16.3-r1::gentoo
sys-devel/binutils:       2.35.2::gentoo
sys-devel/gcc:            9.3.0-r2::gentoo, 10.3.0-r2::gentoo
sys-devel/gcc-config:     2.4::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.10::gentoo (virtual/os-headers)
sys-libs/glibc:           2.33-r1::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts: --exclude-from=/etc/portage/rsync_excludes
    sync-rsync-verify-max-age: 24
    sync-rsync-verify-metamanifest: yes
    sync-rsync-verify-jobs: 1

localrepo
    location: /usr/local/portage
    masters: gentoo

tlp
    location: /usr/portage-overlay/tlp
    sync-type: git
    sync-uri: https://github.com/dywisor/tlp-portage.git
    sync-user: portage
    masters: gentoo

betagarden
    location: /var/lib/layman/betagarden
    sync-type: laymansync
    sync-uri: git://anongit.gentoo.org/proj/betagarden.git
    masters: gentoo
    priority: 50

fem-overlay
    location: /var/lib/layman/fem-overlay
    sync-type: laymansync
    sync-uri: https://bitbucket.fem.tu-ilmenau.de/scm/gentoo/fem-overlay.git
    masters: gentoo
    priority: 50

flow
    location: /var/lib/layman/flow
    sync-type: laymansync
    sync-uri: https://gitlab.com/Flow/flow-s-ebuilds.git
    masters: gentoo
    priority: 50

guru
    location: /var/lib/layman/guru
    sync-type: laymansync
    sync-uri: https://anongit.gentoo.org/git/repo/proj/guru.git
    masters: gentoo
    priority: 50

haarp
    location: /var/lib/layman/haarp
    sync-type: laymansync
    sync-uri: git://anongit.gentoo.org/user/haarp.git
    masters: gentoo
    priority: 50

hibiscus
    location: /var/lib/layman/hibiscus
    sync-type: laymansync
    sync-uri: git://anongit.gentoo.org/user/hibiscus.git
    masters: gentoo
    priority: 50

kde
    location: /var/lib/layman/kde
    sync-type: laymansync
    sync-uri: https://github.com/gentoo/kde.git
    masters: gentoo
    priority: 50

linuxunderground-overlay
    location: /var/lib/layman/linuxunderground-overlay
    sync-type: laymansync
    sync-uri: git://github.com/linuxunderground/gentoo.overlay.git
    masters: gentoo
    priority: 50

mv
    location: /var/lib/layman/mv
    sync-type: laymansync
    sync-uri: https://anongit.gentoo.org/git/user/mv.git
    masters: gentoo
    priority: 50

pentoo
    location: /var/lib/layman/pentoo
    sync-type: laymansync
    sync-uri: https://github.com/pentoo/pentoo-overlay.git
    masters: gentoo
    priority: 50

pg_overlay
    location: /var/lib/layman/pg_overlay
    sync-type: laymansync
    sync-uri: https://gitlab.com/Perfect_Gentleman/PG_Overlay.git
    masters: gentoo
    priority: 50

poly-c
    location: /var/lib/layman/poly-c
    sync-type: laymansync
    sync-uri: rsync://rsync.gentoofan.org/poly-c
    masters: gentoo
    priority: 50

rebutia
    location: /var/lib/layman/rebutia
    sync-type: laymansync
    sync-uri: git://anongit.gentoo.org/user/rebutia.git
    masters: gentoo
    priority: 50

ulm
    location: /var/lib/layman/ulm
    sync-type: laymansync
    sync-uri: git://anongit.gentoo.org/repo/dev/ulm.git
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="@FREE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.4/ext-active/ /etc/php/cgi-php7.4/ext-active/ /etc/php/cli-php7.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -march=native"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="https://mirror.eu.oneandone.net/linux/distributions/gentoo/gentoo/ https://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/"
LANG="de_DE.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="de de_DE"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--exclude-from=/etc/portage/rsync_excludes"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi alsa amd64 avx bluetooth branding bzip2 cairo cdda cdr cli crypt cups dbus dri dts dvd dvdr elogind emboss encode exif ffmpeg flac fortran gdbm gif gpm gtk gui iconv icu ipv6 jemalloc jpeg lcms libglvnd libnotify libtirpc mad mmx mmxext mng mp3 mp4 mpeg multilib ncurses nls nptl ogg opengl openmp opus pam pango pcre pdf png policykit ppds qt5 readline sanitize sdl seccomp spell split-usr sse sse2 sse3 sse4_1 sse4_2 ssl ssse3 startup-notification svg tcpd theora tiff truetype udev udisks unicode upower usb vaapi vorbis wxwidgets x264 xattr xcb xft xml xv xvid zlib" ABI_X86="64 32" ADA_TARGET="gnat_2018" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="avx mmx mmxext sse sse2 sse3 ssse3 sse4_1 sse4_2" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="synaptics evdev libinput" KERNEL="linux" L10N="de de-DE" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-3 php7-4" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_9" PYTHON_TARGETS="python3_9" RUBY_TARGETS="ruby26" USERLAND="GNU" VIDEO_CARDS="intel i965 dummy fbdev vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq proto steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, RUSTFLAGS

=================================================================
                        Package Settings
=================================================================

www-client/chromium-91.0.4472.114::gentoo was built with the following:
USE="cups hangouts js-type-check (pic) proprietary-codecs system-ffmpeg system-icu vaapi widevine (-component-build) -custom-cflags (-headless) -kerberos -official -pulseaudio -screencast (-selinux) -suid -wayland" ABI_X86="(64)" L10N="de -am -ar -bg -bn -ca -cs -da -el -en-GB -es -es-419 -et -fa -fi -fil -fr -gu -he -hi -hr -hu -id -it -ja -kn -ko -lt -lv -ml -mr -ms -nb -nl -pl -pt-BR -pt-PT -ro -ru -sk -sl -sr -sv -sw -ta -te -th -tr -uk -vi -zh-CN -zh-TW"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
Comment 3 Sam James archtester gentoo-dev Security 2021-07-23 16:12:34 UTC Comment hidden (obsolete)
Comment 4 Larry the Git Cow gentoo-dev 2021-07-24 09:48:43 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=774d25d68d6fce0e1fc0168f50f515c988e6ebf6

commit 774d25d68d6fce0e1fc0168f50f515c988e6ebf6
Author:     Stephan Hartmann <sultan@gentoo.org>
AuthorDate: 2021-07-24 09:47:31 +0000
Commit:     Stephan Hartmann <sultan@gentoo.org>
CommitDate: 2021-07-24 09:48:39 +0000

    www-client/chromium: stable channel bump to 92.0.4515.107
    
    Bug: https://bugs.gentoo.org/803167
    Bug: https://bugs.gentoo.org/803467
    Bug: https://bugs.gentoo.org/769989
    Bug: https://bugs.gentoo.org/803260
    Package-Manager: Portage-3.0.20, Repoman-3.0.2
    Signed-off-by: Stephan Hartmann <sultan@gentoo.org>

 www-client/chromium/Manifest                       |  3 +-
 ...515.80.ebuild => chromium-92.0.4515.107.ebuild} | 16 +++----
 .../files/chromium-92-GetUsableSize-nullptr.patch  | 46 ++++++++++++++++++++
 .../chromium/files/chromium-freetype-2.11.patch    | 50 ++++++++++++++++++++++
 4 files changed, 103 insertions(+), 12 deletions(-)
Comment 5 Sam James archtester gentoo-dev Security 2021-07-25 20:16:17 UTC
*** Bug 804219 has been marked as a duplicate of this bug. ***
Comment 6 jospezial 2021-07-26 13:21:17 UTC
I have the same bug in libreoffice master branch which uses skia-m90.
Comment 7 Dennis Schridde 2021-07-26 17:47:23 UTC
(In reply to Larry the Git Cow from comment #4)
> The bug has been referenced in the following commit(s):
> 
> https://gitweb.gentoo.org/repo/gentoo.git/commit/
> ?id=774d25d68d6fce0e1fc0168f50f515c988e6ebf6
> 
> commit 774d25d68d6fce0e1fc0168f50f515c988e6ebf6
> Author:     Stephan Hartmann <sultan@gentoo.org>
> AuthorDate: 2021-07-24 09:47:31 +0000
> Commit:     Stephan Hartmann <sultan@gentoo.org>
> CommitDate: 2021-07-24 09:48:39 +0000
> 
>     www-client/chromium: stable channel bump to 92.0.4515.107
>     
>     Bug: https://bugs.gentoo.org/803167
>     Bug: https://bugs.gentoo.org/803467
>     Bug: https://bugs.gentoo.org/769989
>     Bug: https://bugs.gentoo.org/803260
>     Package-Manager: Portage-3.0.20, Repoman-3.0.2
>     Signed-off-by: Stephan Hartmann <sultan@gentoo.org>
> 
>  www-client/chromium/Manifest                       |  3 +-
>  ...515.80.ebuild => chromium-92.0.4515.107.ebuild} | 16 +++----
>  .../files/chromium-92-GetUsableSize-nullptr.patch  | 46 ++++++++++++++++++++
>  .../chromium/files/chromium-freetype-2.11.patch    | 50
> ++++++++++++++++++++++
>  4 files changed, 103 insertions(+), 12 deletions(-)

The issue persists for me at:

Timestamp of repository gentoo: Mon, 26 Jul 2021 11:45:01 +0000                                                                                                                                                                                                                                                                                                             
Head commit of repository gentoo: 7e654ec543292cabeda5bf1cfce0abc25ce9f48e
Comment 8 Stephan Hartmann gentoo-dev 2021-07-26 18:40:02 UTC
(In reply to Dennis Schridde from comment #7)
> (In reply to Larry the Git Cow from comment #4)
> > The bug has been referenced in the following commit(s):
> > 
> > https://gitweb.gentoo.org/repo/gentoo.git/commit/
> > ?id=774d25d68d6fce0e1fc0168f50f515c988e6ebf6
> > 
> > commit 774d25d68d6fce0e1fc0168f50f515c988e6ebf6
> > Author:     Stephan Hartmann <sultan@gentoo.org>
> > AuthorDate: 2021-07-24 09:47:31 +0000
> > Commit:     Stephan Hartmann <sultan@gentoo.org>
> > CommitDate: 2021-07-24 09:48:39 +0000
> > 
> >     www-client/chromium: stable channel bump to 92.0.4515.107
> >     
> >     Bug: https://bugs.gentoo.org/803167
> >     Bug: https://bugs.gentoo.org/803467
> >     Bug: https://bugs.gentoo.org/769989
> >     Bug: https://bugs.gentoo.org/803260
> >     Package-Manager: Portage-3.0.20, Repoman-3.0.2
> >     Signed-off-by: Stephan Hartmann <sultan@gentoo.org>
> > 
> >  www-client/chromium/Manifest                       |  3 +-
> >  ...515.80.ebuild => chromium-92.0.4515.107.ebuild} | 16 +++----
> >  .../files/chromium-92-GetUsableSize-nullptr.patch  | 46 ++++++++++++++++++++
> >  .../chromium/files/chromium-freetype-2.11.patch    | 50
> > ++++++++++++++++++++++
> >  4 files changed, 103 insertions(+), 12 deletions(-)
> 
> The issue persists for me at:
> 
> Timestamp of repository gentoo: Mon, 26 Jul 2021 11:45:01 +0000             
> 
> Head commit of repository gentoo: 7e654ec543292cabeda5bf1cfce0abc25ce9f48e

Can you attach the build.log?
Comment 9 Dennis Schridde 2021-07-26 21:50:17 UTC
Created attachment 727257 [details]
build.log.xz

> > The issue persists for me at:
> > 
> > Timestamp of repository gentoo: Mon, 26 Jul 2021 11:45:01 +0000             
> > 
> > Head commit of repository gentoo: 7e654ec543292cabeda5bf1cfce0abc25ce9f48e
> 
> Can you attach the build.log?
Comment 10 jospezial 2021-07-27 02:12:08 UTC
(In reply to Dennis Schridde from comment #7)
> (In reply to Larry the Git Cow from comment #4)
> > The bug has been referenced in the following commit(s):
> > 
> > https://gitweb.gentoo.org/repo/gentoo.git/commit/
> > ?id=774d25d68d6fce0e1fc0168f50f515c988e6ebf6
> > 
> > commit 774d25d68d6fce0e1fc0168f50f515c988e6ebf6
> > Author:     Stephan Hartmann <sultan@gentoo.org>
> > AuthorDate: 2021-07-24 09:47:31 +0000
> > Commit:     Stephan Hartmann <sultan@gentoo.org>
> > CommitDate: 2021-07-24 09:48:39 +0000
> > 
> >     www-client/chromium: stable channel bump to 92.0.4515.107
> >     
> >     Bug: https://bugs.gentoo.org/803167
> >     Bug: https://bugs.gentoo.org/803467
> >     Bug: https://bugs.gentoo.org/769989
> >     Bug: https://bugs.gentoo.org/803260
> >     Package-Manager: Portage-3.0.20, Repoman-3.0.2
> >     Signed-off-by: Stephan Hartmann <sultan@gentoo.org>
> > 
> >  www-client/chromium/Manifest                       |  3 +-
> >  ...515.80.ebuild => chromium-92.0.4515.107.ebuild} | 16 +++----
> >  .../files/chromium-92-GetUsableSize-nullptr.patch  | 46 ++++++++++++++++++++
> >  .../chromium/files/chromium-freetype-2.11.patch    | 50
> > ++++++++++++++++++++++
> >  4 files changed, 103 insertions(+), 12 deletions(-)
> 
> The issue persists for me at:
> 
> Timestamp of repository gentoo: Mon, 26 Jul 2021 11:45:01 +0000             
> 
> Head commit of repository gentoo: 7e654ec543292cabeda5bf1cfce0abc25ce9f48e

chromium-92.0.4515.107.ebuild is the only version in gentoo that got the patches. And you are building www-client/chromium-91.0.4472.164.

Has 93.0.4577.8 upstream fixes for this?
Comment 11 Larry the Git Cow gentoo-dev 2021-07-27 17:39:43 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=afa4f06bc7e383b77191f6325ed4efef50ac49f8

commit afa4f06bc7e383b77191f6325ed4efef50ac49f8
Author:     Stephan Hartmann <sultan@gentoo.org>
AuthorDate: 2021-07-27 17:38:58 +0000
Commit:     Stephan Hartmann <sultan@gentoo.org>
CommitDate: 2021-07-27 17:39:17 +0000

    www-client/chromium: security cleanup
    
    Bug: https://bugs.gentoo.org/803167
    Closes: https://bugs.gentoo.org/803467
    Closes: https://bugs.gentoo.org/769989
    Closes: https://bugs.gentoo.org/796527
    Package-Manager: Portage-3.0.20, Repoman-3.0.2
    Signed-off-by: Stephan Hartmann <sultan@gentoo.org>

 www-client/chromium/Manifest                       |   3 -
 www-client/chromium/chromium-91.0.4472.164.ebuild  | 944 ---------------------
 .../files/chromium-89-EnumTable-crash.patch        |  71 --
 .../files/chromium-91-ThemeService-crash.patch     |  36 -
 .../chromium/files/chromium-91-system-icu.patch    |  29 -
 .../chromium/files/chromium-glibc-2.33.patch       | 141 ---
 6 files changed, 1224 deletions(-)
Comment 12 Luke 2021-08-27 16:02:14 UTC
Libreoffice was fixed upstream by commit a0edcc68f94915a78fcc08e70d2cdd752abd9ebb
     update Skia to chrome/m94